DEMジャーニーにおける推奨テストを取得してください

GET https://api.ap1.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-testshttps://api.ap2.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-testshttps://api.datadoghq.eu/api/v2/dem/journeys/{journey_id}/recommended-testshttps://api.ddog-gov.com/api/v2/dem/journeys/{journey_id}/recommended-testshttps://api.us2.ddog-gov.com/api/v2/dem/journeys/{journey_id}/recommended-testshttps://api.uk1.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-testshttps://api.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-testshttps://api.us3.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-testshttps://api.us5.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-tests

概要

Retrieve AI-recommended synthetic tests for a DEM journey. Returns an empty list when no recommendation is available. This endpoint requires the synthetics_read permission.

引数

パスパラメーター

名前

タイプ

説明

journey_id [required]

string

The unique identifier of the journey.

応答

OK

Response containing recommended synthetic tests for a DEM journey.

Expand All

フィールド

タイプ

説明

data [required]

[object]

Recommended synthetic tests for a DEM journey.

attributes [required]

object

Attributes of an AI-recommended synthetic test for a DEM journey.

config [required]

object

The browser test configuration that can be used to create the recommended test.

created_at [required]

date-time

The time when the recommendation was generated.

name [required]

string

The display name of the recommended test.

result_id

string

The identifier of the validating sample run, when available.

session_id

string

The RUM session identifier for the validating sample run, when available.

source [required]

string

The pipeline that produced the recommendation.

type [required]

string

The type of synthetic test.

variant_id

string

The variant associated with the recommendation, when applicable.

id [required]

string

The identifier of the journey associated with the recommendation.

type [required]

enum

The type identifier for a recommended synthetic test. Allowed enum values: recommended_tests

{
  "data": [
    {
      "attributes": {
        "config": {
          "name": "Checkout journey",
          "type": "browser"
        },
        "created_at": "2026-08-31T16:00:00Z",
        "name": "Checkout journey",
        "result_id": "result-abc123",
        "session_id": "session-abc123",
        "source": "gbt",
        "type": "browser",
        "variant_id": "variant-001"
      },
      "id": "journey-abc123",
      "type": "recommended_tests"
    }
  ]
}

Not Found

API error response.

Expand All

フィールド

タイプ

説明

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

フィールド

タイプ

説明

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

コード例

                  # Path parameters
export journey_id="journey-abc123"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/dem/journeys/${journey_id}/recommended-tests" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"
"""
Get recommended tests for a DEM journey returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.dem_api import DEMApi

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
with ApiClient(configuration) as api_client:
    api_instance = DEMApi(api_client)
    response = api_instance.get_journey_recommended_tests(
        journey_id="journey_id",
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Get recommended tests for a DEM journey returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
end
api_instance = DatadogAPIClient::V2::DEMAPI.new
p api_instance.get_journey_recommended_tests("journey_id")

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Get recommended tests for a DEM journey returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewDEMApi(apiClient)
	resp, r, err := api.GetJourneyRecommendedTests(ctx, "journey_id")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `DEMApi.GetJourneyRecommendedTests`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `DEMApi.GetJourneyRecommendedTests`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Get recommended tests for a DEM journey returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.DemApi;
import com.datadog.api.client.v2.model.DemRecommendedTestsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    DemApi apiInstance = new DemApi(defaultClient);

    try {
      DemRecommendedTestsResponse result = apiInstance.getJourneyRecommendedTests("journey-abc123");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling DemApi#getJourneyRecommendedTests");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// Get recommended tests for a DEM journey returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_dem::DEMAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = DEMAPI::with_config(configuration);
    let resp = api
        .get_journey_recommended_tests("journey_id".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Get recommended tests for a DEM journey returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
const apiInstance = new v2.DEMApi(configuration);

const params: v2.DEMApiGetJourneyRecommendedTestsRequest = {
  journeyId: "journey_id",
};

apiInstance
  .getJourneyRecommendedTests(params)
  .then((data: v2.DemRecommendedTestsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"